#! /usr/bin/perl -w
################################################################################
#
# Usage: cisco.vlan-ctl.pl {create|destroy|query} <vlan id> [<node list>]
#
# FORMAT:  <node list> -> <node id>[,<node id>]...
#
#   Copyright (C) 2010-2016 by Adaptive Computing Enterprises, Inc. All Rights Reserved.
#
################################################################################
use strict;
use Expect;
use FindBin;
use Getopt::Long;

# Modify these locations as necessary for your router type
my $createVlan = "$FindBin::Bin/vlan.create.ciscoios.pl";
my $deleteVlan = "$FindBin::Bin/vlan.delete.ciscoios.pl";
my $queryVlan  = "$FindBin::Bin/vlan.query.ciscoios.pl";

# Parse Command Line Arguments
my ($help, $command, $vlanId, $nodeList);
my $usage = "Usage: $0 {create <vlan id> <host list> | destroy <vlan id> | query <vlan id>}\n";
GetOptions('help|?' => \$help) or die $usage;
die $usage if $help;
($command, $vlanId, $nodeList) = @ARGV;
die $usage unless defined $command;
if ($command eq "create")
{
    die $usage unless (defined $vlanId && defined $nodeList);
    exit system("$createVlan $vlanId $nodeList") >> 8;
}
elsif ($command eq "destroy")
{
    die $usage unless defined $vlanId;
    exit system("$deleteVlan $vlanId") >> 8;
}
elsif ($command eq "query")
{
    die $usage unless defined $vlanId;
    exit system("$queryVlan $vlanId") >> 8;
}
else
{
    die $usage;
}
1;
__END__

=head1 NAME

=head1 SYNOPSIS

=head1 DESCRIPTION

=head2 EXPORT

=head2 EXPORT_OK

=head1 SEE ALSO

Additional information can be found at http://www.adaptivecomputing.com/

=head1 AUTHOR

Adaptive Computing, Inc., E<lt>http://www.adaptivecomputing.com/E<gt>

=head1 COPYRIGHT AND LICENSE

Copyright (C) 2010-2016 by Adaptive Computing Enterprises, Inc. All Rights Reserved.

=cut
