#!/usr/bin/perl
###############################################################################
#
#   Copyright (C) 2010-2016 by Adaptive Computing Enterprises, Inc. All Rights Reserved.
#
###############################################################################

use strict;
use warnings;

my $default;
my $file;

my ($os) = @ARGV;
$os = "" unless defined $os;
$file    = 'menu.lst';

if ( $os eq 'linux' )
  {
  $default = 0;
  }
elsif ( $os eq 'windows' )
  {
  $default = 2;
  }
else
  {
  die "Usage: switch.pl <windows|linux>";
  }

my $menu = <<__END__;
# grub.conf
default=$default
timeout=5
splashimage=(hd0,5)/grub/splash.xpm.gz
hiddenmenu
title Red Hat Enterprise Linux AS (2.6.9-42.ELsmp)
	root (hd0,5)
	kernel /vmlinuz-2.6.9-42.ELsmp ro root=/dev/sda8 rhgb quiet
	initrd /initrd-2.6.9-42.ELsmp.img
title Red Hat Enterprise Linux AS-up (2.6.9-42.EL)
	root (hd0,5)
	kernel /vmlinuz-2.6.9-42.EL ro root=LABEL=/dev/sda8 rhgb quiet
	initrd /initrd-2.6.9-42.EL.img
title Windos 2003 CCS
	rootnoverify (hd0,0)
	chainloader +1
__END__

open FILE, ">$file";
print FILE $menu;
close FILE;
1;
__END__

=head1 NAME

=head1 SYNOPSIS

=head1 DESCRIPTION

=head2 EXPORT

=head2 EXPORT_OK

=head1 SEE ALSO

Additional information can be found at http://www.adaptivecomputing.com/

=head1 AUTHOR

Adaptive Computing Enterprises, Inc., E<lt>http://www.adaptivecomputing.com/E<gt>

=head1 COPYRIGHT AND LICENSE

Copyright (C) 2010-2016 by Adaptive Computing Enterprises, Inc. All Rights Reserved.

=cut
