#! /usr/bin/perl -w
################################################################################
#
# Usage: node.poweroff.ipmi.pl <node id>
#
#   Copyright (C) 2010-2016 by Adaptive Computing Enterprises, Inc. All Rights Reserved.
#
################################################################################
use strict;
use Getopt::Long;

# Parse Command Line Arguments
my ($help, $nodeId);
my $usage = "Usage: $0 <node id>\n";
GetOptions('help|?' => \$help) or die $usage;
die $usage if $help;
if (@ARGV == 1)
{
    $nodeId = $ARGV[0];
}
else
{
    die $usage;
}

system("ipmitool -H $nodeId power off");

1;
__END__

=head1 NAME

=head1 SYNOPSIS

=head1 DESCRIPTION

=head2 EXPORT

=head2 EXPORT_OK

=head1 SEE ALSO

Additional information can be found at http://www.adaptivecomputing.com/

=head1 AUTHOR

Adaptive Computing, Inc., E<lt>http://www.adaptivecomputing.com/E<gt>

=head1 COPYRIGHT AND LICENSE

Copyright (C) 2010-2016 by Adaptive Computing Enterprises, Inc. All Rights Reserved.

=cut
