--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

--
-- Name: plpgsql; Type: PROCEDURAL LANGUAGE; Schema: -; Owner: -
--

CREATE PROCEDURAL LANGUAGE plpgsql;


SET search_path = public, pg_catalog;

--
-- Name: job_history_insert(); Type: FUNCTION; Schema: public; Owner: -
--

CREATE FUNCTION job_history_insert() RETURNS trigger
    LANGUAGE plpgsql
    AS $$
BEGIN
  IF NEW.completiontime > 0 THEN
    BEGIN
      INSERT INTO jobhistory (
        id,
        sourcermjobid,
        destinationrmjobid,
        gridjobid,
        aname,
        username,
        account,
        class,
        qos,
        ownergroup,
        jobgroup,
        state,
        estate,
        substate,
        userpriority,
        systempriority,
        currentstartpriority,
        runpriority,
        perpartitionpriority,
        submittime,
        queuetime,
        starttime,
        completiontime,
        completioncode,
        usedwalltime,
        requestedminwalltime,
        requestedmaxwalltime,
        cpulimit,
        suspendtime,
        holdtime,
        processorcount,
        requestednodes,
        activepartition,
        specpal,
        destinationrm,
        sourcerm,
        flags,
        minpreempttime,
        dependencies,
        requestedhostlist,
        excludedhostlist,
        masterhostname,
        genericattributes,
        holds,
        cost,
        description,
        messages,
        notificationaddress,
        startcount,
        bypasscount,
        commandfile,
        arguments,
        rmsubmitlanguage,
        stdin,
        stdout,
        stderr,
        rmoutput,
        rmerror,
        initialworkingdirectory,
        umask,
        rsvstarttime,
        blockreason,
        blockmsg,
        psdedicated,
        psutilized) 
      VALUES (
        NEW.id,
        NEW.sourcermjobid,
        NEW.destinationrmjobid,
        NEW.gridjobid,
        NEW.aname,
        NEW.username,
        NEW.account,
        NEW.class,
        NEW.qos,
        NEW.ownergroup,
        NEW.jobgroup,
        NEW.state,
        NEW.estate,
        NEW.substate,
        NEW.userpriority,
        NEW.systempriority,
        NEW.currentstartpriority,
        NEW.runpriority,
        NEW.perpartitionpriority,
        NEW.submittime,
        NEW.queuetime,
        NEW.starttime,
        NEW.completiontime,
        NEW.completioncode,
        NEW.usedwalltime,
        NEW.requestedminwalltime,
        NEW.requestedmaxwalltime,
        NEW.cpulimit,
        NEW.suspendtime,
        NEW.holdtime,
        NEW.processorcount,
        NEW.requestednodes,
        NEW.activepartition,
        NEW.specpal,
        NEW.destinationrm,
        NEW.sourcerm,
        NEW.flags,
        NEW.minpreempttime,
        NEW.dependencies,
        NEW.requestedhostlist,
        NEW.excludedhostlist,
        NEW.masterhostname,
        NEW.genericattributes,
        NEW.holds,
        NEW.cost,
        NEW.description,
        NEW.messages,
        NEW.notificationaddress,
        NEW.startcount,
        NEW.bypasscount,
        NEW.commandfile,
        NEW.arguments,
        NEW.rmsubmitlanguage,
        NEW.stdin,
        NEW.stdout,
        NEW.stderr,
        NEW.rmoutput,
        NEW.rmerror,
        NEW.initialworkingdirectory,
        NEW.umask,
        NEW.rsvstarttime,
        NEW.blockreason,
        NEW.blockmsg,
        NEW.psdedicated,
        NEW.psutilized);
    EXCEPTION WHEN unique_violation THEN
      UPDATE jobhistory SET
        sourcermjobid = NEW.sourcermjobid,
        destinationrmjobid = NEW.destinationrmjobid,
        gridjobid = NEW.gridjobid,
        aname = NEW.aname,
        username = NEW.username,
        account = NEW.account,
        class = NEW.class,
        qos = NEW.qos,
        ownergroup = NEW.ownergroup,
        jobgroup = NEW.jobgroup,
        state = NEW.state,
        estate = NEW.estate,
        substate = NEW.substate,
        userpriority = NEW.userpriority,
        systempriority = NEW.systempriority,
        currentstartpriority = NEW.currentstartpriority,
        runpriority = NEW.runpriority,
        perpartitionpriority = NEW.perpartitionpriority,
        submittime = NEW.submittime,
        queuetime = NEW.queuetime,
        starttime = NEW.starttime,
        completiontime = NEW.completiontime,
        completioncode = NEW.completioncode,
        usedwalltime = NEW.usedwalltime,
        requestedminwalltime = NEW.requestedminwalltime,
        requestedmaxwalltime = NEW.requestedmaxwalltime,
        cpulimit = NEW.cpulimit,
        suspendtime = NEW.suspendtime,
        holdtime = NEW.holdtime,
        processorcount = NEW.processorcount,
        requestednodes = NEW.requestednodes,
        activepartition = NEW.activepartition,
        specpal = NEW.specpal,
        destinationrm = NEW.destinationrm,
        sourcerm = NEW.sourcerm,
        flags = NEW.flags,
        minpreempttime = NEW.minpreempttime,
        dependencies = NEW.dependencies,
        requestedhostlist = NEW.requestedhostlist,
        excludedhostlist = NEW.excludedhostlist,
        masterhostname = NEW.masterhostname,
        genericattributes = NEW.genericattributes,
        holds = NEW.holds,
        cost = NEW.cost,
        description = NEW.description,
        messages = NEW.messages,
        notificationaddress = NEW.notificationaddress,
        startcount = NEW.startcount,
        bypasscount = NEW.bypasscount,
        commandfile = NEW.commandfile,
        arguments = NEW.arguments,
        rmsubmitlanguage = NEW.rmsubmitlanguage,
        stdin = NEW.stdin,
        stdout = NEW.stdout,
        stderr = NEW.stderr,
        rmoutput = NEW.rmoutput,
        rmerror = NEW.rmerror,
        initialworkingdirectory = NEW.initialworkingdirectory,
        umask = NEW.umask,
        rsvstarttime = NEW.rsvstarttime,
        blockreason = NEW.blockreason,
        blockmsg = NEW.blockmsg,
        psdedicated = NEW.psdedicated,
        psutilized = NEW.psutilized
      WHERE id = NEW.id;
    END;
  END IF;
  RETURN NEW;
END;
$$;


SET default_with_oids = false;

--
-- Name: events; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE events (
    id integer NOT NULL,
    objecttype integer,
    eventtype integer,
    eventtime bigint,
    objectname character varying(64),
    name character varying(64),
    description text
);


--
-- Name: eventtype; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE eventtype (
    id integer NOT NULL,
    name character varying(64)
);


--
-- Name: generalstats; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE generalstats (
    objecttype integer NOT NULL,
    objectname character varying(64) NOT NULL,
    "time" bigint NOT NULL,
    statduration integer,
    iterationcount integer,
    intervalstatcount integer,
    intervalstatduration integer,
    totaljobcount integer,
    jobssubmitted integer,
    jobsactive integer,
    jobseligible integer,
    jobsidle integer,
    jobscompletedbyqos integer,
    jobsqueued integer,
    jobspreempted integer,
    totaljobaccuracy double precision,
    totalnodeload double precision,
    totalnodememory double precision,
    totalnodecount integer,
    totalallocatednodecount integer,
    totalactivenodecount integer,
    totalactiveproccount integer,
    totalconfiguredproccount integer,
    totalavailablecapacity integer,
    procsecondsdedicated double precision,
    procsecondsexecuted double precision,
    procsecondsrequested double precision,
    procsecondsutilized double precision,
    prochourspreempted double precision,
    prochourssubmitted double precision,
    prochoursqueued double precision,
    prochoursavailable double precision,
    prochoursdedicated double precision,
    prochourssuccessful double precision,
    prochoursutilized double precision,
    disksecondsavailable double precision,
    disksecondsdedicated double precision,
    disksecondsutilized double precision,
    disksecondsutilizedinstant double precision,
    memsecondsavailable double precision,
    memsecondsdedicated double precision,
    memsecondsutilized double precision,
    avgbypass integer,
    maxbypass integer,
    totalbypass integer,
    avgxfactor double precision,
    maxxfactor double precision,
    avgqueuetime double precision,
    maxqueuetime integer,
    totalqueuetime integer,
    totalrequestedwalltime double precision,
    totalexecutionwalltime double precision,
    minefficiency double precision,
    minefficiencyduration double precision,
    startedjobcount integer,
    startedjobsqueuetime integer,
    startedjobsproccount integer,
    startedjobsxfactor double precision,
    totalnodeweightedxfactor double precision,
    totalnodeweightedjobaccuracy double precision,
    qoscredits double precision,
    appbacklog double precision,
    appload double precision,
    appresponsetime double precision,
    appthroughput double precision,
    totalxfactor double precision,
    other character varying(256)
);


--
-- Name: genericmetrics; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE genericmetrics (
    objecttype integer NOT NULL,
    objectname character varying(64) NOT NULL,
    gmetricname character varying(64) NOT NULL,
    "time" bigint NOT NULL,
    gmetricvalue double precision
);


--
-- Name: jobhistory; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE jobhistory (
    id character varying(64) NOT NULL,
    sourcermjobid character varying(64),
    destinationrmjobid character varying(64),
    gridjobid character varying(64),
    aname character varying(64),
    username character varying(64),
    account character varying(64),
    class character varying(64),
    qos character varying(64),
    ownergroup character varying(64),
    jobgroup character varying(64),
    state character varying(64),
    estate character varying(64),
    substate character varying(64),
    userpriority bigint,
    systempriority bigint,
    currentstartpriority bigint,
    runpriority bigint,
    perpartitionpriority text,
    submittime bigint,
    queuetime bigint,
    starttime bigint,
    completiontime bigint,
    completioncode integer,
    usedwalltime bigint,
    requestedminwalltime bigint,
    requestedmaxwalltime bigint,
    cpulimit bigint,
    suspendtime bigint,
    holdtime bigint,
    processorcount integer,
    requestednodes integer,
    activepartition character varying(64),
    specpal character varying(64),
    destinationrm character varying(64),
    sourcerm character varying(64),
    flags text,
    minpreempttime bigint,
    dependencies text,
    requestedhostlist text,
    excludedhostlist text,
    masterhostname character varying(64),
    genericattributes text,
    holds text,
    cost double precision,
    description text,
    messages text,
    notificationaddress text,
    startcount bigint,
    bypasscount bigint,
    commandfile text,
    arguments text,
    rmsubmitlanguage text,
    stdin text,
    stdout text,
    stderr text,
    rmoutput text,
    rmerror text,
    initialworkingdirectory text,
    umask bigint,
    rsvstarttime bigint,
    blockreason text,
    blockmsg text,
    psdedicated double precision,
    psutilized double precision
);


--
-- Name: jobs; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE jobs (
    id character varying(64) NOT NULL,
    sourcermjobid character varying(64),
    destinationrmjobid character varying(64),
    gridjobid character varying(64),
    aname character varying(64),
    username character varying(64),
    account character varying(64),
    class character varying(64),
    qos character varying(64),
    ownergroup character varying(64),
    jobgroup character varying(64),
    state character varying(64),
    estate character varying(64),
    substate character varying(64),
    userpriority bigint,
    systempriority bigint,
    currentstartpriority bigint,
    runpriority bigint,
    perpartitionpriority text,
    submittime bigint,
    queuetime bigint,
    starttime bigint,
    completiontime bigint,
    completioncode integer,
    usedwalltime bigint,
    requestedminwalltime bigint,
    requestedmaxwalltime bigint,
    cpulimit bigint,
    suspendtime bigint,
    holdtime bigint,
    processorcount integer,
    requestednodes integer,
    activepartition character varying(64),
    specpal character varying(64),
    destinationrm character varying(64),
    sourcerm character varying(64),
    flags text,
    minpreempttime bigint,
    dependencies text,
    requestedhostlist text,
    excludedhostlist text,
    masterhostname character varying(64),
    genericattributes text,
    holds text,
    cost double precision,
    description text,
    messages text,
    notificationaddress text,
    startcount bigint,
    bypasscount bigint,
    commandfile text,
    arguments text,
    rmsubmitlanguage text,
    stdin text,
    stdout text,
    stderr text,
    rmoutput text,
    rmerror text,
    initialworkingdirectory text,
    umask bigint,
    rsvstarttime bigint,
    blockreason text,
    blockmsg text,
    psdedicated double precision,
    psutilized double precision,
    internal_id serial
);


--
-- Name: mcheckpoint; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE mcheckpoint (
    object_type character varying(64) NOT NULL,
    object_name character varying(64) NOT NULL,
    "timestamp" bigint DEFAULT (0)::bigint NOT NULL,
    data text NOT NULL
);


--
-- Name: moab; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE moab (
    version real
);


--
-- Name: nodes; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE nodes (
    id character varying(64) NOT NULL,
    state character varying(64),
    operatingsystem character varying(64),
    configuredprocessors bigint,
    availableprocessors bigint,
    configuredmemory bigint,
    availablememory bigint,
    architecture character varying(64),
    availgres character varying(1024),
    configgres character varying(1024),
    availclasses character varying(1024),
    configclasses character varying(1024),
    chargerate double precision,
    dynamicpriority double precision,
    enableprofiling bigint,
    features character varying(1024),
    gmetric character varying(1024),
    hopcount bigint,
    hypervisortype character varying(64),
    isdeleted bigint,
    isdynamic bigint,
    joblist character varying(1024),
    lastupdatetime bigint,
    loadavg double precision,
    maxload double precision,
    maxjob bigint,
    maxjobperuser bigint,
    maxproc bigint,
    maxprocperuser bigint,
    oldmessages character varying(1024),
    networkaddress character varying(64),
    nodesubstate character varying(64),
    operations character varying(1024),
    oslist character varying(1024),
    owner character varying(64),
    resovercommitfactor character varying(64),
    partitionname character varying(64),
    powerisenabled bigint,
    powerpolicy character varying(64),
    powerselectstate character varying(64),
    powerstate character varying(64),
    priority bigint,
    priorityfunction character varying(64),
    processorspeed bigint,
    provisioningdata character varying(1024),
    availabledisk bigint,
    availableswap bigint,
    configureddisk bigint,
    configuredswap bigint,
    reservationcount bigint,
    reservationlist character varying(1024),
    resourcemanagerlist character varying(1024),
    slotsused bigint,
    speed double precision,
    speedweight double precision,
    totalnodeactivetime bigint,
    lastmodifytime bigint,
    totaltimetracked bigint,
    totalnodeuptime bigint,
    taskcount bigint,
    vmoslist character varying(1024),
    cpuclock character varying(64)
);


--
-- Name: nodestats; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE nodestats (
    nodeid character varying(64) NOT NULL,
    "time" bigint NOT NULL,
    nodestate integer,
    iterationcount integer,
    intervalstatcount integer,
    intervalstatduration integer,
    internalnodecategory character varying(64),
    externalnodecategory character varying(64),
    totalqueuetime bigint,
    totalxfactor double precision,
    procsavailable integer,
    procsconfigured integer,
    procsdedicated integer,
    maxmemoryused integer,
    minmemoryused integer,
    totalmemoryused integer,
    startjc integer,
    failurejc integer,
    avgcpuload double precision,
    maxcpuload double precision,
    mincpuload double precision,
    category integer,
    rcategory integer,
    other character varying(256),
    cpuclock integer,
    cpumaxclock integer,
    cpuminclock integer
);


--
-- Name: nodestatsgenericresources; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE nodestatsgenericresources (
    nodeid character varying(64) NOT NULL,
    gresname character varying(64) NOT NULL,
    "time" bigint NOT NULL,
    genericresourcesavailable integer,
    genericresourcesconfigured integer,
    genericresourcesdedicated integer
);


--
-- Name: objecttype; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE objecttype (
    id integer NOT NULL,
    name character varying(64)
);


--
-- Name: requests; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE requests (
    jobid character varying(64) NOT NULL,
    rindex bigint NOT NULL,
    allocnodelist character varying(1024),
    allocpartition character varying(64),
    partitionindex bigint,
    nodeaccesspolicy character varying(64),
    preferredfeatures text,
    requestedapp character varying(64),
    requestedarch character varying(64),
    reqos character varying(64),
    reqnodeset character varying(64),
    reqpartition character varying(64),
    minnodecount bigint,
    mintaskcount bigint,
    taskcount bigint,
    taskspernode bigint,
    diskpertask bigint,
    mempertask bigint,
    procspertask bigint,
    swappertask bigint,
    nodedisk character varying(64),
    nodefeatures text,
    nodememory character varying(64),
    nodeswap character varying(64),
    nodeprocs character varying(64),
    genericresources text,
    configuredgenericresources text,
    cpuclock character varying(64)
);


--
-- Name: reservations; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE reservations (
    name character varying(64) NOT NULL,
    acl text,
    aaccount character varying(64),
    agroup character varying(64),
    auser character varying(64),
    aqos character varying(64),
    allocnodecount bigint,
    allocnodelist character varying(1024),
    allocproccount bigint,
    alloctaskcount bigint,
    cl text,
    reservationcomment text,
    cost double precision,
    ctime bigint,
    duration bigint,
    endtime bigint,
    excludersv text,
    expiretime bigint,
    flags text,
    globalid text,
    hostexp text,
    history text,
    label text,
    lastchargetime bigint,
    loglevel character varying(64),
    messages text,
    owner character varying(64),
    partitionname character varying(64),
    profile character varying(64),
    reqarch character varying(64),
    reqfeaturelist text,
    reqmemory character varying(64),
    reqnodecount character varying(64),
    reqnodelist text,
    reqos character varying(64),
    reqtaskcount character varying(64),
    reqtpn character varying(64),
    resources character varying(64),
    rsvaccesslist text,
    rsvgroup character varying(64),
    rsvparent character varying(64),
    sid character varying(64),
    starttime bigint,
    statcbps bigint,
    statcrps bigint,
    stattbps bigint,
    stattrps bigint,
    subtype character varying(64),
    ttrigger character varying(64),
    ttype character varying(64),
    variables character varying(1024),
    vmlist text
);


--
-- Name: triggers; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE triggers (
    trigid character varying(64) NOT NULL,
    name character varying(64),
    actiondata character varying(1024),
    actiontype character varying(64),
    blocktime bigint,
    description character varying(1024),
    disabled bigint,
    ebuf character varying(1024),
    eventtime bigint,
    eventtype character varying(64),
    failoffset character varying(64),
    failuredetected bigint,
    flags character varying(1024),
    iscomplete bigint,
    isinterval bigint,
    launchtime bigint,
    message character varying(1024),
    multifire character varying(64),
    objectid character varying(64),
    objecttype character varying(64),
    obuf character varying(1024),
    triggeroffset character varying(64),
    period character varying(64),
    pid bigint,
    rearmtime bigint,
    requires character varying(1024),
    sets character varying(1024),
    state character varying(64),
    threshold character varying(64),
    timeout bigint,
    unsets character varying(1024)
);


--
-- Name: vcs; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE vcs (
    name character varying(64) NOT NULL,
    description character varying(1024),
    jobs text,
    nodes text,
    vms text,
    rsvs text,
    vcs text,
    variables text,
    flags text
);


--
-- Data for Name: events; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- Data for Name: eventtype; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO eventtype (id, name) VALUES (0, '[NONE]');
INSERT INTO eventtype (id, name) VALUES (1, 'GEVENT');
INSERT INTO eventtype (id, name) VALUES (2, 'JOBCANCEL');
INSERT INTO eventtype (id, name) VALUES (3, 'JOBEND');
INSERT INTO eventtype (id, name) VALUES (4, 'JOBFAILURE');
INSERT INTO eventtype (id, name) VALUES (5, 'JOBHOLD');
INSERT INTO eventtype (id, name) VALUES (6, 'JOBMIGRATE');
INSERT INTO eventtype (id, name) VALUES (7, 'JOBMODIFY');
INSERT INTO eventtype (id, name) VALUES (8, 'JOBPREEMPT');
INSERT INTO eventtype (id, name) VALUES (9, 'JOBREJECT');
INSERT INTO eventtype (id, name) VALUES (10, 'JOBRESUME');
INSERT INTO eventtype (id, name) VALUES (11, 'JOBSTART');
INSERT INTO eventtype (id, name) VALUES (12, 'JOBSUBMIT');
INSERT INTO eventtype (id, name) VALUES (13, 'JOBUPDATE');
INSERT INTO eventtype (id, name) VALUES (14, 'JOBVARSET');
INSERT INTO eventtype (id, name) VALUES (15, 'JOBVARUNSET');
INSERT INTO eventtype (id, name) VALUES (16, 'NODEDOWN');
INSERT INTO eventtype (id, name) VALUES (17, 'NODEFAILURE');
INSERT INTO eventtype (id, name) VALUES (18, 'NODEUP');
INSERT INTO eventtype (id, name) VALUES (19, 'NODEUPDATE');
INSERT INTO eventtype (id, name) VALUES (20, 'NOTE');
INSERT INTO eventtype (id, name) VALUES (21, 'QOSVIOLATION');
INSERT INTO eventtype (id, name) VALUES (22, 'RMDOWN');
INSERT INTO eventtype (id, name) VALUES (23, 'RMUP');
INSERT INTO eventtype (id, name) VALUES (24, 'RSVCANCEL');
INSERT INTO eventtype (id, name) VALUES (25, 'RSVCREATE');
INSERT INTO eventtype (id, name) VALUES (26, 'RSVEND');
INSERT INTO eventtype (id, name) VALUES (27, 'RSVMODIFY');
INSERT INTO eventtype (id, name) VALUES (28, 'RSVSTART');
INSERT INTO eventtype (id, name) VALUES (29, 'SCHEDCOMMAND');
INSERT INTO eventtype (id, name) VALUES (30, 'SCHEDFAILURE');
INSERT INTO eventtype (id, name) VALUES (31, 'SCHEDMODIFY');
INSERT INTO eventtype (id, name) VALUES (32, 'SCHEDPAUSE');
INSERT INTO eventtype (id, name) VALUES (33, 'SCHEDRECYCLE');
INSERT INTO eventtype (id, name) VALUES (34, 'SCHEDRESUME');
INSERT INTO eventtype (id, name) VALUES (35, 'SCHEDSTART');
INSERT INTO eventtype (id, name) VALUES (36, 'SCHEDSTOP');
INSERT INTO eventtype (id, name) VALUES (37, 'TRIGCREATE');
INSERT INTO eventtype (id, name) VALUES (38, 'TRIGEND');
INSERT INTO eventtype (id, name) VALUES (39, 'TRIGFAILURE');
INSERT INTO eventtype (id, name) VALUES (40, 'TRIGSTART');
INSERT INTO eventtype (id, name) VALUES (41, 'TRIGTHRESHOLD');
INSERT INTO eventtype (id, name) VALUES (42, 'VMCREATE');
INSERT INTO eventtype (id, name) VALUES (43, 'VMDESTROY');
INSERT INTO eventtype (id, name) VALUES (44, 'VMMIGRATE');
INSERT INTO eventtype (id, name) VALUES (45, 'VMPOWERON');
INSERT INTO eventtype (id, name) VALUES (46, 'VMPOWEROFF');
INSERT INTO eventtype (id, name) VALUES (47, 'NODEMODIFY');
INSERT INTO eventtype (id, name) VALUES (48, 'NODEPOWEROFF');
INSERT INTO eventtype (id, name) VALUES (49, 'NODEPOWERON');
INSERT INTO eventtype (id, name) VALUES (50, 'NODEPROVISION');
INSERT INTO eventtype (id, name) VALUES (51, 'ALLSCHEDCOMMAND');
INSERT INTO eventtype (id, name) VALUES (52, 'AMDELETE');
INSERT INTO eventtype (id, name) VALUES (53, 'AMEND');
INSERT INTO eventtype (id, name) VALUES (54, 'AMQUOTE');
INSERT INTO eventtype (id, name) VALUES (55, 'AMSTART');
INSERT INTO eventtype (id, name) VALUES (56, 'RMPOLLEND');
INSERT INTO eventtype (id, name) VALUES (57, 'RMPOLLSTART');
INSERT INTO eventtype (id, name) VALUES (58, 'SCHEDCYCLEEND');
INSERT INTO eventtype (id, name) VALUES (59, 'SCHEDCYCLESTART');
INSERT INTO eventtype (id, name) VALUES (60, 'JOBCHECKPOINT');
INSERT INTO eventtype (id, name) VALUES (61, 'AMCREATE');
INSERT INTO eventtype (id, name) VALUES (62, 'AMUPDATE');
INSERT INTO eventtype (id, name) VALUES (63, 'AMPAUSE');
INSERT INTO eventtype (id, name) VALUES (64, 'AMRESUME');
INSERT INTO eventtype (id, name) VALUES (65, 'AMMODIFY');
INSERT INTO eventtype (id, name) VALUES (66, 'AMCONTINUE');
INSERT INTO eventtype (id, name) VALUES (67, 'NODEREMOVE');
INSERT INTO eventtype (id, name) VALUES (68, 'NODEADD');


--
-- Data for Name: generalstats; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- Data for Name: genericmetrics; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- Data for Name: jobhistory; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- Data for Name: jobs; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- Data for Name: mcheckpoint; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- Data for Name: moab; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- Data for Name: nodes; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- Data for Name: nodestats; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- Data for Name: nodestatsgenericresources; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- Data for Name: objecttype; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO objecttype (id, name) VALUES (1, 'Acct');
INSERT INTO objecttype (id, name) VALUES (2, 'AM');
INSERT INTO objecttype (id, name) VALUES (3, 'Class');
INSERT INTO objecttype (id, name) VALUES (4, 'Cluster');
INSERT INTO objecttype (id, name) VALUES (5, 'Group');
INSERT INTO objecttype (id, name) VALUES (6, 'Job');
INSERT INTO objecttype (id, name) VALUES (7, 'Node');
INSERT INTO objecttype (id, name) VALUES (8, 'Par');
INSERT INTO objecttype (id, name) VALUES (9, 'QOS');
INSERT INTO objecttype (id, name) VALUES (13, 'Rsv');
INSERT INTO objecttype (id, name) VALUES (14, 'RM');
INSERT INTO objecttype (id, name) VALUES (15, 'Sched');
INSERT INTO objecttype (id, name) VALUES (16, 'SRsv');
INSERT INTO objecttype (id, name) VALUES (17, 'Sys');
INSERT INTO objecttype (id, name) VALUES (18, 'TNode');
INSERT INTO objecttype (id, name) VALUES (19, 'Trig');
INSERT INTO objecttype (id, name) VALUES (20, 'User');
INSERT INTO objecttype (id, name) VALUES (21, 'ID');
INSERT INTO objecttype (id, name) VALUES (23, 'CJob');
INSERT INTO objecttype (id, name) VALUES (30, 'GRes');
INSERT INTO objecttype (id, name) VALUES (31, 'Gmetric');
INSERT INTO objecttype (id, name) VALUES (39, 'Stats');
INSERT INTO objecttype (id, name) VALUES (42, 'TJob');
INSERT INTO objecttype (id, name) VALUES (43, 'Paction');
INSERT INTO objecttype (id, name) VALUES (45, 'VM');
INSERT INTO objecttype (id, name) VALUES (47, 'VPC');
INSERT INTO objecttype (id, name) VALUES (48, 'JGroup');


--
-- Data for Name: requests; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- Data for Name: reservations; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- Data for Name: triggers; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- Data for Name: vcs; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- Name: events_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY events
    ADD CONSTRAINT events_pkey PRIMARY KEY (id);


--
-- Name: eventtype_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY eventtype
    ADD CONSTRAINT eventtype_pkey PRIMARY KEY (id);


--
-- Name: generalstats_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY generalstats
    ADD CONSTRAINT generalstats_pkey PRIMARY KEY (objecttype, objectname, "time");


--
-- Name: genericmetrics_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY genericmetrics
    ADD CONSTRAINT genericmetrics_pkey PRIMARY KEY (objecttype, objectname, gmetricname, "time");


--
-- Name: jobhistory_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY jobhistory
    ADD CONSTRAINT jobhistory_pkey PRIMARY KEY (id,submittime);


--
-- Name: jobs_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY jobs
    ADD CONSTRAINT jobs_pkey PRIMARY KEY (internal_id);


--
-- Name: mcheckpoint_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY mcheckpoint
    ADD CONSTRAINT mcheckpoint_pkey PRIMARY KEY (object_type, object_name);


--
-- Name: nodes_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_pkey PRIMARY KEY (id);


--
-- Name: nodestats_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY nodestats
    ADD CONSTRAINT nodestats_pkey PRIMARY KEY (nodeid, "time");


--
-- Name: nodestatsgenericresources_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY nodestatsgenericresources
    ADD CONSTRAINT nodestatsgenericresources_pkey PRIMARY KEY (nodeid, gresname, "time");


--
-- Name: objecttype_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY objecttype
    ADD CONSTRAINT objecttype_pkey PRIMARY KEY (id);


--
-- Name: requests_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY requests
    ADD CONSTRAINT requests_pkey PRIMARY KEY (jobid, rindex);


--
-- Name: reservations_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY reservations
    ADD CONSTRAINT reservations_pkey PRIMARY KEY (name);


--
-- Name: triggers_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY triggers
    ADD CONSTRAINT triggers_pkey PRIMARY KEY (trigid);


--
-- Name: vcs_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY vcs
    ADD CONSTRAINT vcs_pkey PRIMARY KEY (name);


--
-- Name: events_etype; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX events_etype ON events USING btree (eventtype);


--
-- Name: events_name; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX events_name ON events USING btree (name);


--
-- Name: events_oname; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX events_oname ON events USING btree (objectname);


--
-- Name: events_otype; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX events_otype ON events USING btree (objecttype);


--
-- Name: events_time; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX events_time ON events USING btree (eventtime);


--
-- Name: eventtype_name; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX eventtype_name ON eventtype USING btree (name);


--
-- Name: objecttype_name; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX objecttype_name ON objecttype USING btree (name);


--
-- Name: job_history_trig; Type: TRIGGER; Schema: public; Owner: -
--

CREATE TRIGGER job_history_trig
    BEFORE INSERT ON jobs
    FOR EACH ROW
    EXECUTE PROCEDURE job_history_insert();


--
-- Name: generalstats_objecttype_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY generalstats
    ADD CONSTRAINT generalstats_objecttype_fkey FOREIGN KEY (objecttype) REFERENCES objecttype(id);


--
-- Name: genericmetrics_objecttype_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY genericmetrics
    ADD CONSTRAINT genericmetrics_objecttype_fkey FOREIGN KEY (objecttype, objectname, "time") REFERENCES generalstats(objecttype, objectname, "time");


--
-- Name: nodestatsgenericresources_nodeid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY nodestatsgenericresources
    ADD CONSTRAINT nodestatsgenericresources_nodeid_fkey FOREIGN KEY (nodeid, "time") REFERENCES nodestats(nodeid, "time");


--
-- PostgreSQL database dump complete
--

