#! /bin/sh

# check for the db username

if [ -z "$1" ]
then
  echo "Usage:  $0 <db user>"
  echo "Error:  no postgressql user specified"
  exit 1
fi

# determine if a new postgreSQL user needs to be created

until (( test "$decision" = "y" ) || ( test "$decision" = "n" )); do
  echo -n "Create db user \"$1\" in postgreSQL? (y/n) "
  read decision
done

if test "$decision" = "y"; 
then
  # create the user
  echo "Creating PostgreSQL user \"$1\""
  sudo -u postgres createuser -d -R -P $1
fi

sudo -u postgres echo "Creating PostgreSQL database.  Enter password for user \"$1\""

# create the moab database with the db username
sudo -u postgres createdb -O $1 Moab

echo "Importing schema file.  Please reenter password for user \"$1\""

# import the schema in to Postgresql
sudo -u postgres psql Moab -U $1 < moab-db-postgresql-create.sql
