#!/usr/bin/python

#THIS SOFTWARE SCRIPT IS PROVIDED BY ADAPTIVE COMPUTING ENTERPRISES, INC. "AS IS"
#AND IS FOR REFERENCE USE ONLY.  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT
#NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
#PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ADAPTIVE COMPUTING ENTERPRISES, INC.
#BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#DAMAGES ARISING FROM THE USE THEREOF.


# The PARTITION_TO_HOST dictionary contains the mapping from various partitions to
# the fileserver hostname that is used to access/stage the data to/from.
# It is used in the mapping of the $CLUSTERHOST placeholder to a real server name.
# This variable should be configured on a site-to-site basis to conform with the
# network layout of the grid.

PARTITION_TO_HOST = {"partition_1_name":"cluster_1_staging_hostname",
                     "partition_2_name":"cluster_2_staging_hostname",
                     "partition_3_name":"cluster_3_staging_hostname"}

# For example if you have a grid with 3 clusters:
#  -- A partition named master where you want all data staged to a host named gridheadNAS
#  -- A partition named csdept where you want all data staged to a host named fs001.cs.example.edu
#  -- A partition named lab where you want all data staged to a host named bigfilesystem
#
# You would use the following configuration:
#
#PARTITION_TO_HOST = {"master":"gridheadNAS",
#                     "csdept":"fs001.cs.example.edu",
#                     "lab":"bigfilesystem"}



# The PARTITION_TO_SCRIPT dictionary contains the mapping from various partitions to the
# transfer script that should be used to stage the data.  It is used in the ds_move_multiplex
# "wrapper" reference script.
# It allows the administrator to configure a single template instruction for all partitions.
# and yet have different behavior on a partition-by-partition basis.

PARTITION_TO_SCRIPT = {"partition_1_name":"/opt/moab/tools/data-staging/ds_move_rsync",
                       "partition_2_name":"/opt/moab/tools/data-staging/ds_move_rsync",
                       "partition_3_name":"/opt/moab/tools/data-staging/ds_move_rsync",
                       "DEFAULT":"/opt/moab/tools/data-staging/ds_move_scp"}

# For example if you have a grid with 3 clusters:
#  -- A partition named master where you want all data staged using rsync
#  -- A partition named csdept where you want all data staged using scp
#  -- Possible other partitions where you want all data staged using scp
#
# You would use the following configuration:
#
#PARTITION_TO_HOST = {"master":"/opt/moab/tools/data-staging/ds_move_rsync",
#                     "csdept":"/opt/moab/tools/data-staging/ds_move_scp",
#                     "DEFAULT":"/opt/moab/tools/data-staging/ds_move_scp"}



# DEFAULT_TEMPLATE contains the name of the master template specified in the Moab
# configuration file that will create both a stagein and a stageout system job in
# the proper sequence.

DEFAULT_TEMPLATE = "ds"
